![GitHub Cards Preview](https://github.com/Spikeysanju/Wiggles/blob/main/art/GITHUB-COVER.png?raw=true)

# Wiggles 🐶
Beautiful Puppy adoption app built to Demonstrate the Jetpack Compose UI for Android Dev Challenge *Made with love ❤️ by [Spikeysanju](https://github.com/Spikeysanju)*

<br />

***Try latest Wiggles app apk from below 👇***

[![Wiggles](https://img.shields.io/badge/Wiggles-APK-black.svg?style=for-the-badge&logo=android)](https://github.com/Spikeysanju/Wiggles/releases/download/v1.0.0-alpha01/Wiggles.apk)

<br />

## UI Design 🎨

***Click to View Wiggles app Design from below 👇***

[![Wiggles](https://img.shields.io/badge/Wiggles-FIGMA-black.svg?style=for-the-badge&logo=figma)](https://www.figma.com/file/OXtSFvmcIcecMkuqSi2RaT/Compose-Challenge-1?node-id=102%3A1)

<br />

## Day Mode 🌞
Home | Details | Details (Scrolled)
--- | --- | --- |
![](https://github.com/Spikeysanju/Wiggles/blob/main/art/Home.png) | ![](https://github.com/Spikeysanju/Wiggles/blob/main/art/Details.png) | ![](https://github.com/Spikeysanju/Wiggles/blob/main/art/Details.png)

<br />

## We Support Dark Mode Too 🌚
Home | Details | Details (Scrolled)
--- | --- | --- |
![](https://github.com/Spikeysanju/Wiggles/blob/main/art/Dark-Home.png) | ![](https://github.com/Spikeysanju/Wiggles/blob/main/art/Dark-Details.png) | ![](https://github.com/Spikeysanju/Wiggles/blob/main/art/Dark-Details.png)

<br />


## Built With 🛠
- [Kotlin](https://kotlinlang.org/) - First class and official programming language for Android development.
- [Jetpack Compose](https://developer.android.com/jetpack/compose) - Jetpack Compose is Android’s modern toolkit for building native UI.
- [Android Architecture Components](https://developer.android.com/topic/libraries/architecture) - Collection of libraries that help you design robust, testable, and maintainable apps.
  - [Jetpack Compose Navigation](https://developer.android.com/jetpack/compose/navigation) - Navigation refers to the interactions that allow users to navigate across, into, and back out from the different pieces of content within your app
- [Material Components for Android](https://github.com/material-components/material-components-android) - Modular and customizable Material Design UI components for Android.
- [Figma](https://figma.com/) - Figma is a vector graphics editor and prototyping tool which is primarily web-based.


<br />

## Build-tool 🧰
You need to have [Android Studio Beta 3 or above](https://developer.android.com/studio/preview) to build this project.
<br>
<img src="./beta_android.png" height="200" alt="Beta-studio"/>

<br>


## Contribute 🤝
If you want to contribute to this app, you're always welcome!
See [Contributing Guidelines](https://github.com/Spikeysanju/Wiggles/blob/main/CONTRIBUTING.md).

<br>

## Contact 📩
Have an idea to improve this or got any Question? Let's connect 👇

Drop a mail to:- spikeysanju98@gmail.com

<br>

## Donation 💰
If this project help you reduce time to develop, you can give me a cup of coffee :) 

<a href="https://www.buymeacoffee.com/Li0hsl4" target="_blank"><img src="https://www.buymeacoffee.com/assets/img/custom_images/yellow_img.png" alt="Buy Me A Coffee" style="height: 41px !important;width: 174px !important;box-shadow: 0px 3px 2px 0px rgba(190, 190, 190, 0.5) !important;-webkit-box-shadow: 0px 3px 2px 0px rgba(190, 190, 190, 0.5) !important;" ></a>

<br>


## Credits 🤗

- Icons are from [tablericons.com](https://tablericons.com)
- Heartly congratulations for Jetpack Compose Team who worked hard to make Compose great ♥️


<br />

## License 🔖

```
   Copyright 2020 The Android Open Source Project

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       https://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

```

